#
# Cookbook Name:: leveldb
# Recipe:: default
#
# Copyright 2014, Takahiro Poly Horikawa <horikawa.takahiro@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

remote_file "#{Chef::Config[:file_cache_path]}/#{node['leveldb']['source_file_name']}" do
  source "#{node['leveldb']['source_url_path']}#{node['leveldb']['source_file_name']}"
end

bash "install_leveldb" do
  user "root"
  cwd Chef::Config[:file_cache_path]
  code <<-EOH
    tar -zxf #{node['leveldb']['source_file_name']}
    cd leveldb-#{node['leveldb']['version']}
    make
    cp --preserve=links libleveldb.* /usr/local/lib
    cp -r include/leveldb /usr/local/include/
    ldconfig
  EOH
  not_if { ::File.exists?("/usr/local/lib/libleveldb.so.#{node['leveldb']['version']}") }
end
